petsc-3.7.7 2017-09-25
Report Typos and Errors

# PCGetApplicationContext

Gets the user-defined context for the linear solver.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCGetApplicationContext(PC pc,void *usrP)

Not Collective

### Input Parameter

pc -PC context

### Output Parameter

usrP -user context

### Keywords

PC, get, application, context

### See Also

PCSetApplicationContext()

Level:intermediate
Location:src/ksp/pc/interface/pcset.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages